OpenJPEG 2.5.2

Data Fields
rev_struct Struct Reference

A structure for reading and unstuffing a segment that grows backward, such as VLC and MRP. More...

## Data Fields
OPJ_UINT8 * | data
| pointer to where to read data
OPJ_UINT64 | tmp
| temporary buffer of read data
OPJ_UINT32 | bits
| number of bits stored in tmp
int | size
| number of bytes left
OPJ_BOOL | unstuff
| true if the last byte is more than 0x8F

## Detailed Description

A structure for reading and unstuffing a segment that grows backward, such as VLC and MRP.

## Field Documentation

## ◆ bits

OPJ_UINT32 rev_struct::bits

number of bits stored in tmp

Referenced by rev_advance(), rev_advance_mrp(), rev_fetch(), rev_fetch_mrp(), rev_init(), rev_init_mrp(), rev_read(), and rev_read_mrp().

## ◆ data

OPJ_UINT8* rev_struct::data

pointer to where to read data

Referenced by rev_init(), rev_init_mrp(), rev_read(), and rev_read_mrp().

## ◆ size

int rev_struct::size

number of bytes left

Referenced by rev_init(), rev_init_mrp(), rev_read(), and rev_read_mrp().

## ◆ tmp

OPJ_UINT64 rev_struct::tmp

temporary buffer of read data

Referenced by rev_advance(), rev_advance_mrp(), rev_fetch(), rev_fetch_mrp(), rev_init(), rev_init_mrp(), rev_read(), and rev_read_mrp().

## ◆ unstuff

OPJ_BOOL rev_struct::unstuff

true if the last byte is more than 0x8F

then the current byte is unstuffed if it is 0x7F

Referenced by rev_init(), rev_init_mrp(), rev_read(), and rev_read_mrp().

The documentation for this struct was generated from the following file:

- ht_dec.c